package videorental;


import videorental.categories.MovieCategoryChildrens;
import videorental.categories.MovieCategoryNewRelease;
import videorental.categories.MovieCategoryRegular;

/**
 * An example main class used to demonstrate the behavior of the application.
 *
 * @author Zachary Palmer
 */
public class Main {
    // The following fields contain example data to be used in demonstrating this application.

    /**
     * Some movies that the user may rent.
     */
    public static final Movie rosencrantzAndGuildensternAreDead = new Movie("Rosencrantz and Guildenstern are Dead",
            MovieCategoryRegular.SINGLETON);
    public static final Movie suckerpunch = new Movie("Suckerpunch", MovieCategoryRegular.SINGLETON);
    public static final Movie barbieLifeInTheDreamhouse = new Movie("Barbie: Life in the Dreamhouse",
            MovieCategoryRegular.SINGLETON);
    public static final Movie anastasia = new Movie("Anastasia", MovieCategoryChildrens.SINGLETON);
    public static final Movie braveLittleToaster = new Movie("Brave Little Toaster, The",
            MovieCategoryChildrens.SINGLETON);
    public static final Movie citizenKane3D = new Movie("Citizen Kane 3D",
            MovieCategoryNewRelease.SINGLETON);
    public static final Movie riverTamBeatsUpEveryone = new Movie("River Tam Beats Up Everyone",
            MovieCategoryNewRelease.SINGLETON);
    public static final Movie sneakers = new Movie("Sneakers", MovieCategoryRegular.SINGLETON);

    /**
     * Some customers which have rented movies.
     */
    public static final Customer gretelFishweaver;
    public static final Customer danielleDeBarbarac;
    public static final Customer richardCarlisle;
    public static final Customer murrayHewitt;

    // initializing the above
    static {
        gretelFishweaver = new Customer("Fishweaver, Gretel");
        gretelFishweaver.addRental(new Rental(rosencrantzAndGuildensternAreDead, 2));
        gretelFishweaver.addRental(new Rental(suckerpunch, 2));
        gretelFishweaver.addRental(new Rental(anastasia, 1));
        gretelFishweaver.addRental(new Rental(braveLittleToaster, 5));
        gretelFishweaver.addRental(new Rental(citizenKane3D, 1));
        gretelFishweaver.addRental(new Rental(riverTamBeatsUpEveryone, 3));

        danielleDeBarbarac = new Customer("de Barbarac, Danielle");
        danielleDeBarbarac.addRental(new Rental(anastasia, 2));
        danielleDeBarbarac.addRental(new Rental(anastasia, 2));
        danielleDeBarbarac.addRental(new Rental(anastasia, 2));

        richardCarlisle = new Customer("Carlisle, Sir Richard");
        richardCarlisle.addRental(new Rental(citizenKane3D, 10));

        murrayHewitt = new Customer("Hewitt, Murray");
        murrayHewitt.addRental(new Rental(sneakers, 947));
    }

    // A main method for running example scenarios
    public static void main(String[] args) {
        // This line can be changed to run different example executions of the program.
        Customer customer = murrayHewitt;
        System.out.println(customer.generateStatement());
    }
}
