package videorental;

import videorental.categories.MovieCategory;

/**
 * Represents a single movie in the application.
 *
 * @author Martin Fowler
 * @author Zachary Palmer
 */
public class Movie {
    private String title;
    private MovieCategory category;

    public Movie(String title, MovieCategory category) {
        super();
        this.title = title;
        this.category = category;
    }

    public String getTitle() {
        return title;
    }

    public double calculateRentalCost(int daysRented) {
        return this.category.calculateCost(daysRented);
    }

    public int calculateFrequentRenterPoints(int daysRented, int frequentRenterPoints) {
        return this.category.calculateFrequentRenterPoints(daysRented, frequentRenterPoints);
    }
}
