package videorental.categories;

public class MovieCategoryRegular implements MovieCategory {
    public static final MovieCategoryRegular SINGLETON =
            new MovieCategoryRegular();

    private MovieCategoryRegular() {

    }

    @Override
    public double calculateCost(int daysRented) {
        double rentalCost = 0.6;
        if (daysRented > 2)
            rentalCost += (daysRented - 2) * 0.2;
        return rentalCost;
    }

    @Override
    public int calculateFrequentRenterPoints(int daysRented, int frequentRenterPoints) {
        frequentRenterPoints++;
        return frequentRenterPoints;
    }
}
