package tests;

import org.junit.Assert;
import org.junit.Test;
import videorental.Customer;
import videorental.Main;

public class ConfirmExampleStatements {

    @Test
    public void testDanielle() {
        String expectedOutput = "Rental Record for de Barbarac, Danielle\n"
                + "	Anastasia	(2/2)	$ 0.25\n" + "	Anastasia	(2/2)	$ 0.25\n"
                + "	Anastasia	(2/2)	$ 0.25\n" + "Amount spent is $ 0.75\n"
                + "You earned 3 frequent renter points";
        Customer customer = Main.danielleDeBarbarac;
        String actualOutput = customer.generateStatement();
        Assert.assertEquals(expectedOutput, actualOutput);
    }

    @Test
    public void testGretel() {
        String expectedOutput = "Rental Record for Fishweaver, Gretel\n"
                + "\tRosencrantz and Guildenstern are Dead\t(2/2)\t$ 0.60\n"
                + "\tSuckerpunch\t(2/2)\t$ 0.60\n" + "\tAnastasia\t(1/1)\t$ 0.25\n"
                + "\tBrave Little Toaster, The\t(5/5)\t$ 0.55\n"
                + "\tCitizen Kane 3D\t(1/1)\t$ 0.50\n"
                + "\tRiver Tam Beats Up Everyone\t(3/3)\t$ 1.50\n"
                + "Amount spent is $ 4.00\n"
                + "You earned 7 frequent renter points";
        Customer customer = Main.gretelFishweaver;
        String actualOutput = customer.generateStatement();
        Assert.assertEquals(expectedOutput, actualOutput);
    }
}
